import { Plugin } from '../plugin';
export declare class ZoomPlugin extends Plugin {
    private zoomTouchManager?;
    private onWheelListener;
    private onKeyDownListener;
    private onKeyUpListener;
    private onScrollListener;
    private onScrollEndListener;
    private wheelUnusedTicks;
    private wheelUnusedFactor;
    private touchUnusedTicks;
    private touchUnusedFactor;
    private isCtrlKeyDown;
    private isScrolling;
    protected init(): void;
    protected destroy(): void;
    private onPinching;
    private onPinchEnd;
    private onKeyUp;
    private onKeyDown;
    private onScrollEnd;
    private onScroll;
    private onWheel;
    private accumulateFactor;
    private accumulateTicks;
}
